cdac.medinfo.sdk.hl7282.baselibs.segments

## Class AL1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.AL1

- All Implemented Interfaces:
    ISegment

      public class AL1
      extends Segment

  AL1 - Patient Allergy Information Segment

  The AL1 segment contains patient allergy information of various types. Most of this information will be derived from user-defined tables. Each AL1 segment describes a single patient allergy.

  Represents an HL7 AL1 message segment. This segment has the following fields:

  AL1-1: Set ID - AL1 (SI)Required
  AL1-2: Allergen Type Code (CWE)Optional
  AL1-3: Allergen Code/Mnemonic/Description (CWE)Required
  AL1-4: Allergy Severity Code (CWE)Optional
  AL1-5: Allergy Reaction Code (ST)Optional
  AL1-6: Identification Date (DT)Withdrawn

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AL1()` Constructs the AL1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllergyReactionCode(ST objtempAllergyReactionCode)` Set the Allergy Reaction Code.
    `void` | `addAllergyReactionCode(java.lang.String strAllergyReactionCode)` Set the Allergy Reaction Code.
    `CWE` | `getAllergenCodeMnemonicDescription()` Retrieves the Allergen Code Mnemonic Description.
    `CWE` | `getAllergenTypeCode()` Retrieves the Allergen Type Code.
    `ISingleCollection<ST>` | `getAllergyReactionCode()` Retrieves the Allergy Reaction Code.
    `CWE` | `getAllergySeverityCode()` Retrieves the Allergy Severity Code.
    `SI` | `getSetID_AL1()` Retrieves the Set ID AL1.
    `void` | `setAllergenCodeMnemonicDescription(CWE objallergenCodeMnemonicDescription)` Set the Allergen Code Mnemonic Description.
    `void` | `setAllergenCodeMnemonicDescription(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergen Code Mnemonic Description.
    `void` | `setAllergenTypeCode(CWE objallergenTypeCode)` Set the Allergen TypeCode.
    `void` | `setAllergenTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergen TypeCode.
    `void` | `setAllergyReactionCode(ISingleCollection<ST> objAllergyReactionCode)` Set the Allergy Reaction Code.
    `void` | `setAllergySeverityCode(CWE objallergySeverityCode)` Set the Allergy Severity Code.
    `void` | `setAllergySeverityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergy Severity Code.
    `void` | `setSetID_AL1(SI objsetID_AL1)` Set the Set ID AL1.
    `void` | `setSetID_AL1(java.lang.String strSetID_AL1)` Set the Set ID AL1.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AL1

          public AL1()

      Constructs the AL1 segment.

  - ### Method Detail

    - #### getAllergenCodeMnemonicDescription

          public CWE getAllergenCodeMnemonicDescription()

      Retrieves the Allergen Code Mnemonic Description.
      Returns:
        CWE - allergenCodeMnemonicDescription

    - #### getAllergenTypeCode

          public CWE getAllergenTypeCode()

      Retrieves the Allergen Type Code.
      Returns:
        CWE - allergenTypeCode

    - #### getAllergyReactionCode

          public ISingleCollection<ST> getAllergyReactionCode()

      Retrieves the Allergy Reaction Code.
      Returns:
        ISingleCollection - allergyReactionCode

    - #### getAllergySeverityCode

          public CWE getAllergySeverityCode()

      Retrieves the Allergy Severity Code.
      Returns:
        CWE - allergySeverityCode

    - #### getSetID_AL1

          public SI getSetID_AL1()

      Retrieves the Set ID AL1.
      Returns:
        String - setID_AL1

    - #### setAllergenCodeMnemonicDescription

          public void setAllergenCodeMnemonicDescription(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergen Code Mnemonic Description.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAllergenCodeMnemonicDescription

          public void setAllergenCodeMnemonicDescription(CWE objallergenCodeMnemonicDescription)

      Set the Allergen Code Mnemonic Description.
      Parameters:
        `objallergenCodeMnemonicDescription` - object of Allergen Code Mnemonic Description.

    - #### setAllergenTypeCode

          public void setAllergenTypeCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergen TypeCode.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAllergenTypeCode

          public void setAllergenTypeCode(CWE objallergenTypeCode)

      Set the Allergen TypeCode.
      Parameters:
        `objallergenTypeCode` - object of Allergen TypeCode.

    - #### addAllergyReactionCode

          public void addAllergyReactionCode(java.lang.String strAllergyReactionCode)

      Set the Allergy Reaction Code.
      Parameters:
        `strAllergyReactionCode` - Specifies the specific allergic reaction that was documented.

    - #### addAllergyReactionCode

          public void addAllergyReactionCode(ST objtempAllergyReactionCode)

      Set the Allergy Reaction Code.
      Parameters:
        `objtempAllergyReactionCode` - object of Allergy Reaction Code.

    - #### setAllergyReactionCode

          public void setAllergyReactionCode(ISingleCollection<ST> objAllergyReactionCode)

      Set the Allergy Reaction Code.
      Parameters:
        `objAllergyReactionCode` - List of Allergy Reaction Code.

    - #### setAllergySeverityCode

          public void setAllergySeverityCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergy Severity Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAllergySeverityCode

          public void setAllergySeverityCode(CWE objallergySeverityCode)

      Set the Allergy Severity Code.
      Parameters:
        `objallergySeverityCode` - Allergy Severity Code.

    - #### setSetID_AL1

          public void setSetID_AL1(java.lang.String strSetID_AL1)

      Set the Set ID AL1.
      Parameters:
        `strSetID_AL1` - This field contains the number that identifies AL1 transaction.

    - #### setSetID_AL1

          public void setSetID_AL1(SI objsetID_AL1)

      Set the Set ID AL1.
      Parameters:
        `objsetID_AL1` - object of Set ID AL1.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Field Validation Fails.